﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>vgui_controls</ProjectName>
    <ProjectGuid>{F69B3672-C5E8-CD1A-257F-253A25B5B939}</ProjectGuid>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <TargetName>vgui_controls</TargetName>
    <PlatformToolset>v120_xp</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <CharacterSet>MultiByte</CharacterSet>
    <TargetName>vgui_controls</TargetName>
    <PlatformToolset>v120_xp</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">..\..\lib\public\.\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">.\Debug\.\</IntDir>
    <ExecutablePath Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">..\..\devtools\vstools;$(ExecutablePath);$(Path)</ExecutablePath>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PreBuildEventUseInBuild>
    <PreLinkEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PreLinkEventUseInBuild>
    <PostBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</PostBuildEventUseInBuild>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">..\..\lib\public\.\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">.\Release\.\</IntDir>
    <ExecutablePath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">..\..\devtools\vstools;$(ExecutablePath);$(Path)</ExecutablePath>
    <PreBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PreBuildEventUseInBuild>
    <PreLinkEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PreLinkEventUseInBuild>
    <PostBuildEventUseInBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</PostBuildEventUseInBuild>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <PreBuildEvent>
      <Command>if EXIST ..\..\lib\public\.\$(TargetName).lib ( for /f &quot;delims=&quot; %%A in (&apos;attrib &quot;..\..\lib\public\.\$(TargetName).lib&quot;&apos;) do set valveTmpIsReadOnly=&quot;%%A&quot;&#x0D;&#x0A;) else ( if not EXIST ..\..\lib\public\. mkdir ..\..\lib\public\. )&#x0D;&#x0A;set valveTmpIsReadOnlyLetter=%valveTmpIsReadOnly:~6,1%&#x0D;&#x0A;if &quot;%valveTmpIsReadOnlyLetter%&quot;==&quot;R&quot; (&#x0D;&#x0A;    attrib -r ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;    ..\..\devtools\bin\gnu\touch.exe -d &quot;1999-01-01&quot; ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;    attrib +r ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;)&#x0D;&#x0A;if exist &quot;..\..\devtools\bin\vpc.exe&quot; &quot;..\..\devtools\bin\vpc.exe&quot; -crc2 &quot;vgui_controls.vcxproj&quot;&#x0D;&#x0A;if ERRORLEVEL 1 exit /b 1&#x0D;&#x0A;</Command>
    </PreBuildEvent>
    <ClCompile>
      <AdditionalOptions> /Gw /Zc:inline</AdditionalOptions>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\..\common;..\..\public;..\..\public\tier0;..\..\public\tier1;generated_proto;..\..\thirdparty\protobuf-2.3.0\src;..\..\thirdparty;..\..\thirdparty\cef;generated_proto</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>VPC;RAD_TELEMETRY_DISABLED;_HAS_ITERATOR_DEBUGGING=0;WIN32;_WIN32;_DEBUG;DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;_ALLOW_RUNTIME_LIBRARY_MISMATCH;_ALLOW_ITERATOR_DEBUG_LEVEL_MISMATCH;_ALLOW_MSC_VER_MISMATCH;%(PreprocessorDefinitions);COMPILER_MSVC32;COMPILER_MSVC32;COMPILER_MSVC;_DLL_EXT=.dll;LIBNAME=vgui_controls;BINK_VIDEO;AVI_VIDEO;WMV_VIDEO;DEV_BUILD;FRAME_POINTER_OMISSION_DISABLED;_EXTERNAL_DLL_EXT=.dll;VPCGAMECAPS=TF_MOD;PROJECTDIR=D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls;_DLL_EXT=.dll;SOURCE1=1;VPCGAME=tf_mod</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>false</ExceptionHandling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions</EnableEnhancedInstructionSet>
      <FloatingPointModel>Fast</FloatingPointModel>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <OpenMPSupport>false</OpenMPSupport>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <ExpandAttributedSource>false</ExpandAttributedSource>
      <AssemblerOutput>NoListing</AssemblerOutput>
      <AssemblerListingLocation>$(IntDir)/</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)/</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)/</ProgramDataBaseFileName>
      <GenerateXMLDocumentationFiles>false</GenerateXMLDocumentationFiles>
      <BrowseInformation>false</BrowseInformation>
      <WarningLevel>Level4</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>CompileAsCpp</CompileAs>
      <UseFullPaths>true</UseFullPaths>
      <DisableSpecificWarnings>;4316</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <BrowseInformationFile>$(IntDir)/</BrowseInformationFile>
      <ErrorReporting>Prompt</ErrorReporting>
    </ClCompile>
    <PreLinkEvent>
    </PreLinkEvent>
    <Lib>
      <UseUnicodeResponseFiles>false</UseUnicodeResponseFiles>
      <OutputFile>..\..\lib\public\.\vgui_controls.lib</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalOptions> /ignore:4221</AdditionalOptions>
    </Lib>
    <Xdcmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Xdcmake>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(OutDir)/vgui_controls.bsc</OutputFile>
    </Bscmake>
    <PostBuildEvent>
    </PostBuildEvent>
    <CustomBuildStep>
    </CustomBuildStep>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <PreBuildEvent>
      <Command>if EXIST ..\..\lib\public\.\$(TargetName).lib ( for /f &quot;delims=&quot; %%A in (&apos;attrib &quot;..\..\lib\public\.\$(TargetName).lib&quot;&apos;) do set valveTmpIsReadOnly=&quot;%%A&quot;&#x0D;&#x0A;) else ( if not EXIST ..\..\lib\public\. mkdir ..\..\lib\public\. )&#x0D;&#x0A;set valveTmpIsReadOnlyLetter=%valveTmpIsReadOnly:~6,1%&#x0D;&#x0A;if &quot;%valveTmpIsReadOnlyLetter%&quot;==&quot;R&quot; (&#x0D;&#x0A;    attrib -r ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;    ..\..\devtools\bin\gnu\touch.exe -d &quot;1999-01-01&quot; ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;    attrib +r ..\..\lib\public\.\$(TargetName).lib&#x0D;&#x0A;)&#x0D;&#x0A;if exist &quot;..\..\devtools\bin\vpc.exe&quot; &quot;..\..\devtools\bin\vpc.exe&quot; -crc2 &quot;vgui_controls.vcxproj&quot;&#x0D;&#x0A;if ERRORLEVEL 1 exit /b 1&#x0D;&#x0A;</Command>
    </PreBuildEvent>
    <ClCompile>
      <AdditionalOptions> /Zo /Gw /Zc:inline</AdditionalOptions>
      <Optimization>MaxSpeed</Optimization>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <AdditionalIncludeDirectories>..\..\common;..\..\public;..\..\public\tier0;..\..\public\tier1;generated_proto;..\..\thirdparty\protobuf-2.3.0\src;..\..\thirdparty;..\..\thirdparty\cef;generated_proto</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>VPC;RAD_TELEMETRY_DISABLED;WIN32;_WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE;_ALLOW_RUNTIME_LIBRARY_MISMATCH;_ALLOW_ITERATOR_DEBUG_LEVEL_MISMATCH;_ALLOW_MSC_VER_MISMATCH;%(PreprocessorDefinitions);COMPILER_MSVC32;COMPILER_MSVC32;COMPILER_MSVC;_DLL_EXT=.dll;LIBNAME=vgui_controls;BINK_VIDEO;AVI_VIDEO;WMV_VIDEO;DEV_BUILD;FRAME_POINTER_OMISSION_DISABLED;_EXTERNAL_DLL_EXT=.dll;VPCGAMECAPS=TF_MOD;PROJECTDIR=D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls;_DLL_EXT=.dll;SOURCE1=1;VPCGAME=tf_mod</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>false</ExceptionHandling>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions</EnableEnhancedInstructionSet>
      <FloatingPointModel>Fast</FloatingPointModel>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <OpenMPSupport>false</OpenMPSupport>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <ExpandAttributedSource>false</ExpandAttributedSource>
      <AssemblerOutput>NoListing</AssemblerOutput>
      <AssemblerListingLocation>$(IntDir)/</AssemblerListingLocation>
      <ObjectFileName>$(IntDir)/</ObjectFileName>
      <ProgramDataBaseFileName>$(IntDir)/</ProgramDataBaseFileName>
      <GenerateXMLDocumentationFiles>false</GenerateXMLDocumentationFiles>
      <BrowseInformation>false</BrowseInformation>
      <WarningLevel>Level4</WarningLevel>
      <TreatWarningAsError>true</TreatWarningAsError>
      <DebugInformationFormat>OldStyle</DebugInformationFormat>
      <CompileAs>CompileAsCpp</CompileAs>
      <UseFullPaths>true</UseFullPaths>
      <DisableSpecificWarnings>;4316</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <BrowseInformationFile>$(IntDir)/</BrowseInformationFile>
      <ErrorReporting>Prompt</ErrorReporting>
    </ClCompile>
    <PreLinkEvent>
    </PreLinkEvent>
    <Lib>
      <UseUnicodeResponseFiles>false</UseUnicodeResponseFiles>
      <OutputFile>..\..\lib\public\.\vgui_controls.lib</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalOptions> /ignore:4221</AdditionalOptions>
    </Lib>
    <Xdcmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Xdcmake>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>$(OutDir)/vgui_controls.bsc</OutputFile>
    </Bscmake>
    <PostBuildEvent>
    </PostBuildEvent>
    <CustomBuildStep>
    </CustomBuildStep>
  </ItemDefinitionGroup>
  <ItemGroup>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\public\vgui_controls\AnalogBar.h" />
    <ClInclude Include="..\..\public\vgui_controls\AnimatingImagePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\AnimationController.h" />
    <ClInclude Include="..\..\public\vgui_controls\BitmapImagePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\BuildGroup.h" />
    <ClInclude Include="..\..\public\vgui_controls\BuildModeDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\Button.h" />
    <ClInclude Include="..\..\public\vgui_controls\CheckButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\CheckButtonList.h" />
    <ClInclude Include="..\..\public\vgui_controls\CircularProgressBar.h" />
    <ClInclude Include="..\..\public\Color.h" />
    <ClInclude Include="..\..\public\vgui_controls\ComboBox.h" />
    <ClInclude Include="..\..\public\vgui_controls\consoledialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\ControllerMap.h" />
    <ClInclude Include="..\..\public\vgui_controls\Controls.h" />
    <ClInclude Include="..\..\public\vgui_controls\CvarToggleCheckButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\DialogManager.h" />
    <ClInclude Include="..\..\public\vgui_controls\DirectorySelectDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\Divider.h" />
    <ClInclude Include="..\..\public\vgui_controls\EditablePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\ExpandButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\FileOpenDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\FileOpenStateMachine.h" />
    <ClInclude Include="..\..\public\filesystem.h" />
    <ClInclude Include="..\..\public\filesystem_helpers.h" />
    <ClInclude Include="..\..\public\vgui_controls\FocusNavGroup.h" />
    <ClInclude Include="..\..\public\vgui_controls\Frame.h" />
    <ClInclude Include="..\..\public\vgui_controls\GraphPanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\HTML.h" />
    <ClInclude Include="..\..\public\vgui_controls\Image.h" />
    <ClInclude Include="..\..\public\vgui_controls\ImageList.h" />
    <ClInclude Include="..\..\public\vgui_controls\ImagePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\InputDialog.h" />
    <ClInclude Include="..\..\public\tier1\interface.h" />
    <ClInclude Include="..\..\public\vgui_controls\KeyBindingHelpDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\KeyBindingMap.h" />
    <ClInclude Include="..\..\public\vgui_controls\KeyBoardEditorDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\KeyRepeat.h" />
    <ClInclude Include="..\..\public\tier1\KeyValues.h" />
    <ClInclude Include="..\..\public\vgui_controls\Label.h" />
    <ClInclude Include="..\..\public\vgui_controls\ListPanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\ListViewPanel.h" />
    <ClInclude Include="..\..\public\tier0\memdbgoff.h" />
    <ClInclude Include="..\..\public\tier0\memdbgon.h" />
    <ClInclude Include="..\..\public\tier1\mempool.h" />
    <ClInclude Include="..\..\public\vgui_controls\Menu.h" />
    <ClInclude Include="..\..\public\vgui_controls\MenuBar.h" />
    <ClInclude Include="..\..\public\vgui_controls\MenuButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\MenuItem.h" />
    <ClInclude Include="..\..\public\vgui_controls\MessageBox.h" />
    <ClInclude Include="..\..\public\vgui_controls\MessageDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\MessageMap.h" />
    <ClInclude Include="..\..\public\vgui_controls\Panel.h" />
    <ClInclude Include="..\..\public\vgui_controls\PanelAnimationVar.h" />
    <ClInclude Include="..\..\public\vgui_controls\PanelListPanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\PerforceFileExplorer.h" />
    <ClInclude Include="..\..\public\vgui_controls\PerforceFileList.h" />
    <ClInclude Include="..\..\public\vgui_controls\perforcefilelistframe.h" />
    <ClInclude Include="..\..\public\vgui_controls\PHandle.h" />
    <ClInclude Include="..\..\public\vgui_controls\ProgressBar.h" />
    <ClInclude Include="..\..\public\vgui_controls\ProgressBox.h" />
    <ClInclude Include="..\..\public\vgui_controls\PropertyDialog.h" />
    <ClInclude Include="..\..\public\vgui_controls\PropertyPage.h" />
    <ClInclude Include="..\..\public\vgui_controls\PropertySheet.h" />
    <ClInclude Include="..\..\public\vgui_controls\QueryBox.h" />
    <ClInclude Include="..\..\public\vgui_controls\RadioButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\RichText.h" />
    <ClInclude Include="..\..\public\vgui_controls\RotatingProgressBar.h" />
    <ClInclude Include="..\..\public\vgui_controls\savedocumentquery.h" />
    <ClInclude Include="..\..\public\vgui_controls\ScalableImagePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\ScrollableEditablePanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\ScrollBar.h" />
    <ClInclude Include="..\..\public\vgui_controls\ScrollBarSlider.h" />
    <ClInclude Include="..\..\public\vgui_controls\SectionedListPanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\Slider.h" />
    <ClInclude Include="..\..\public\vgui_controls\Splitter.h" />
    <ClInclude Include="..\..\public\vgui_controls\subrectimage.h" />
    <ClInclude Include="..\..\public\vgui_controls\TextEntry.h" />
    <ClInclude Include="..\..\public\vgui_controls\TextImage.h" />
    <ClInclude Include="..\..\public\vgui_controls\ToggleButton.h" />
    <ClInclude Include="..\..\public\vgui_controls\Tooltip.h" />
    <ClInclude Include="..\..\public\vgui_controls\ToolWindow.h" />
    <ClInclude Include="..\..\public\vgui_controls\TreeView.h" />
    <ClInclude Include="..\..\public\vgui_controls\TreeViewListControl.h" />
    <ClInclude Include="..\..\public\vgui_controls\URLLabel.h" />
    <ClInclude Include="..\..\public\tier1\utlmemory.h" />
    <ClInclude Include="..\..\public\tier1\utlrbtree.h" />
    <ClInclude Include="..\..\public\tier1\utlvector.h" />
    <ClInclude Include="..\..\public\vgui_controls\WizardPanel.h" />
    <ClInclude Include="..\..\public\vgui_controls\WizardSubPanel.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="AnalogBar.cpp" />
    <ClCompile Include="AnimatingImagePanel.cpp" />
    <ClCompile Include="AnimationController.cpp" />
    <ClCompile Include="BitmapImagePanel.cpp" />
    <ClCompile Include="BuildFactoryHelper.cpp" />
    <ClCompile Include="BuildGroup.cpp" />
    <ClCompile Include="BuildModeDialog.cpp" />
    <ClCompile Include="Button.cpp" />
    <ClCompile Include="CheckButton.cpp" />
    <ClCompile Include="CheckButtonList.cpp" />
    <ClCompile Include="CircularProgressBar.cpp" />
    <ClCompile Include="ComboBox.cpp" />
    <ClCompile Include="consoledialog.cpp" />
    <ClCompile Include="ControllerMap.cpp" />
    <ClCompile Include="controls.cpp" />
    <ClCompile Include="CvarToggleCheckButton.cpp" />
    <ClCompile Include="DirectorySelectDialog.cpp" />
    <ClCompile Include="Divider.cpp" />
    <ClCompile Include="EditablePanel.cpp" />
    <ClCompile Include="ExpandButton.cpp" />
    <ClCompile Include="FileOpenDialog.cpp" />
    <ClCompile Include="FileOpenStateMachine.cpp" />
    <ClCompile Include="..\..\public\filesystem_helpers.cpp" />
    <ClCompile Include="FocusNavGroup.cpp" />
    <ClCompile Include="Frame.cpp" />
    <ClCompile Include="GraphPanel.cpp" />
    <ClCompile Include="HTML.cpp" />
    <ClCompile Include="Image.cpp" />
    <ClCompile Include="ImageList.cpp" />
    <ClCompile Include="ImagePanel.cpp" />
    <ClCompile Include="InputDialog.cpp" />
    <ClCompile Include="KeyBindingHelpDialog.cpp" />
    <ClCompile Include="KeyBoardEditorDialog.cpp" />
    <ClCompile Include="KeyRepeat.cpp" />
    <ClCompile Include="Label.cpp" />
    <ClCompile Include="ListPanel.cpp" />
    <ClCompile Include="ListViewPanel.cpp" />
    <ClCompile Include="Menu.cpp" />
    <ClCompile Include="MenuBar.cpp" />
    <ClCompile Include="MenuButton.cpp" />
    <ClCompile Include="MenuItem.cpp" />
    <ClCompile Include="MessageBox.cpp" />
    <ClCompile Include="MessageDialog.cpp" />
    <ClCompile Include="Panel.cpp" />
    <ClCompile Include="PanelListPanel.cpp" />
    <ClCompile Include="PerforceFileExplorer.cpp" />
    <ClCompile Include="PerforceFileList.cpp" />
    <ClCompile Include="perforcefilelistframe.cpp" />
    <ClCompile Include="ProgressBar.cpp" />
    <ClCompile Include="ProgressBox.cpp" />
    <ClCompile Include="PropertyDialog.cpp" />
    <ClCompile Include="PropertyPage.cpp" />
    <ClCompile Include="PropertySheet.cpp" />
    <ClCompile Include="QueryBox.cpp" />
    <ClCompile Include="RadioButton.cpp" />
    <ClCompile Include="RichText.cpp" />
    <ClCompile Include="RotatingProgressBar.cpp" />
    <ClCompile Include="savedocumentquery.cpp" />
    <ClCompile Include="ScalableImagePanel.cpp" />
    <ClCompile Include="ScrollableEditablePanel.cpp" />
    <ClCompile Include="ScrollBar.cpp" />
    <ClCompile Include="ScrollBarSlider.cpp" />
    <ClCompile Include="SectionedListPanel.cpp" />
    <ClCompile Include="Slider.cpp" />
    <ClCompile Include="Splitter.cpp" />
    <ClCompile Include="subrectimage.cpp" />
    <ClCompile Include="TextEntry.cpp" />
    <ClCompile Include="TextImage.cpp" />
    <ClCompile Include="ToggleButton.cpp" />
    <ClCompile Include="Tooltip.cpp" />
    <ClCompile Include="ToolWindow.cpp" />
    <ClCompile Include="TreeView.cpp" />
    <ClCompile Include="TreeViewListControl.cpp" />
    <ClCompile Include="URLLabel.cpp" />
    <ClCompile Include="..\..\vgui2\src\vgui_key_translation.cpp" />
    <ClCompile Include="WizardPanel.cpp" />
    <ClCompile Include="WizardSubPanel.cpp" />
  </ItemGroup>
  <ItemGroup>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="vgui_controls.vpc">
      <Message Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Running VPC CRC Check - vgui_controls.vpc</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">if exist &quot;..\..\devtools\bin\vpc.exe&quot; &quot;..\..\devtools\bin\vpc.exe&quot; -crc2 &quot;vgui_controls.vcxproj&quot;&#x0D;&#x0A;if ERRORLEVEL 1 exit /b 1&#x0D;&#x0A;echo crc_complete &gt; D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls\vgui_controls.vpc.sentinel</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls\vgui_controls.vpc.sentinel</Outputs>
      <Message Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Running VPC CRC Check - vgui_controls.vpc</Message>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">if exist &quot;..\..\devtools\bin\vpc.exe&quot; &quot;..\..\devtools\bin\vpc.exe&quot; -crc2 &quot;vgui_controls.vcxproj&quot;&#x0D;&#x0A;if ERRORLEVEL 1 exit /b 1&#x0D;&#x0A;echo crc_complete &gt; D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls\vgui_controls.vpc.sentinel</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">D:\Steam\steamapps\sourcemods\tf1.5src\src\vgui2\vgui_controls\vgui_controls.vpc.sentinel</Outputs>
    </CustomBuild>
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\vpc_scripts\platform_dirs.vpc" />
    <None Include="..\..\vpc_scripts\protobuf_builder.vpc" />
    <None Include="..\..\vpc_scripts\source_base.vpc" />
    <None Include="..\..\vpc_scripts\source_lib_base.vpc" />
    <None Include="..\..\vpc_scripts\source_lib_win32_base.vpc" />
    <None Include="..\..\vpc_scripts\source_lib_win32_debug.vpc" />
    <None Include="..\..\vpc_scripts\source_lib_win32_release.vpc" />
    <None Include="..\..\vpc_scripts\source_video_base.vpc" />
    <None Include="..\..\vpc_scripts\source_win32_base.vpc" />
    <None Include="..\..\vpc_scripts\version.vpc" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
